<template>
    <div class="semanticFunctionBox">
        <el-card class="elCard">
            <div class="cardContent">
                <div style="flex:1;">
                    <contentList :parentData="parentData"></contentList>
                </div>
                <div>
                    <enter-box @sendmsg="sendMessage"></enter-box>
                </div>
            </div>
        </el-card>
    </div>
</template>

<script>
import contentList from './contentList.vue';
import enterBox from './enterBox.vue';
export default {
    components: {
        enterBox,
        contentList
    },
    data() {
        return {
            sendMsg: null,
            parentData: {},
        }
    },
    mounted() {

    },
    methods: {
        sendMessage(res) {
            var valMsg = res.val;
            if (res.type == "text") {
                this.parentData = {
                    type: res.type,
                    msg: valMsg.replaceAll('\n', '')
                }

            } else if (res.type == "insertFile") {
                this.parentData = {
                    type: res.type,
                    msg: valMsg
                }

            }
            this.$nextTick(() => {
                this.parentData = {}
            })
        },

    }
}
</script>

<style lang="scss" scoped>
.semanticFunctionBox {
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    position: absolute;
    margin: 10px;
    border-radius: 5px;

    ::v-deep.el-card__body {
        padding: 10px;
        width: 100%;
        height: 100%;
    }

    .elCard {
        width: 100%;
        height: 100%;

    }

    .cardContent {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        padding: 10px;

    }



}
</style>